import { TypeSkeletonProps } from './type';
import './style';
export * from './type';
export declare type SkeletonProps = TypeSkeletonProps;
export declare const Skeleton: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    delayShowLoading: boolean;
    delayTimer: number;
}, {
    handleDelay(loading: boolean): void;
    renderCols(_cols: Number | import("./type").SkeletonRowColObj | import("./type").SkeletonRowColObj[]): any[];
    renderRowCol(_rowCol?: import("./type").SkeletonRowCol): any[];
}, unknown, {
    animation: "gradient" | "flashed";
    loading: boolean;
    rowCol: import("./type").SkeletonRowCol;
    theme: "article" | "text" | "avatar" | "paragraph" | "avatar-text" | "tab";
    delay: number;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    delayShowLoading: boolean;
    delayTimer: number;
}, {
    handleDelay(loading: boolean): void;
    renderCols(_cols: Number | import("./type").SkeletonRowColObj | import("./type").SkeletonRowColObj[]): any[];
    renderRowCol(_rowCol?: import("./type").SkeletonRowCol): any[];
}, unknown, {
    animation: "gradient" | "flashed";
    loading: boolean;
    rowCol: import("./type").SkeletonRowCol;
    theme: "article" | "text" | "avatar" | "paragraph" | "avatar-text" | "tab";
    delay: number;
}>>;
export default Skeleton;
